#
# Conditional build:
%bcond_without	emf	# Enhanced MetaFile output support
#
Summary:	Chemtool - program for 2D drawing organic molecules
Summary(pl.UTF-8):	Chemtool - program do rysowania 2-wymiarowych cząsteczek organicznych
Name:		chemtool
Version:	1.6.14
Release:	3
License:	GPL
Group:		X11/Applications/Science
Source0:	http://ruby.chemie.uni-freiburg.de/~martin/chemtool/%{name}-%{version}.tar.gz
# Source0-md5:	3a97680f0abe1327af1f0072551a68e2
Patch0:		gcc10.patch
URL:		http://ruby.chemie.uni-freiburg.de/~martin/chemtool/
BuildRequires:	autoconf >= 2.50
BuildRequires:	gettext-tools >= 0.14.1
BuildRequires:	gtk+2-devel >= 1:2.0
%{?with_emf:BuildRequires:	libEMF-devel}
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Chemtool is a program for drawing organic molecules easily and store
them as a X bitmap, Xfig or EPS file. It runs under the X Window
System using the GTK+ widget set.

%description -l pl.UTF-8
Chemtool jest programem do rysowania cząsteczek organicznych i zapisu
ich jako pliki X-bitmap, Xfig lub EPS. Pracuje pod X Window używając
bibliotek GTK+.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure \
	%{?with_emf:--enable-emf}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_iconsdir}/hicolor/32x32/mimetypes}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}
install gnome/gnome-application-chemtool.png %{name}.xpm $RPM_BUILD_ROOT%{_pixmapsdir}
install kde/icons/hicolor/32x32/mimetypes/chemtool.png	$RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/mimetypes

%{__mv} $RPM_BUILD_ROOT%{_localedir}/pt{_PT,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO examples/{Neu2,*.{cht,mol,pdb}}
%attr(755,root,root) %{_bindir}/chemtool
%attr(755,root,root) %{_bindir}/chemtoolbg
%attr(755,root,root) %{_bindir}/cht
%{_iconsdir}/hicolor/32x32/mimetypes/chemtool.png
%{_pixmapsdir}/gnome-application-chemtool.png
%{_pixmapsdir}/chemtool.xpm
%{_desktopdir}/chemtool.desktop
%{_mandir}/man1/chemtool.1*
%{_mandir}/man1/cht.1*
%changelog
* Sat Aug 01 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/chemtool.git;a=log;h=master

* Sat Aug 01 2020 Jan Rękorajski <baggins@pld-linux.org> 52c982a
- drop KDE3 support (mimelnk/application/*.desktop)
- use desktop file from the package
- fix building with gcc 10.x
- general cleanups
- rel 3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> fe4a0a0
- updated gettext BR

* Wed Aug 28 2013 Jan Rękorajski <baggins@pld-linux.org> 1a118b3
- fix portuguese locale location
- rel 2

* Sun Aug 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 2b2a7a9
- updated to 1.6.14

* Sun Feb 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 89297f6
- updated BRs for gtk+2
- verbose files in system dirs

* Sun Feb 12 2012 zbyniu <zbyniu@pld-linux.org> ca19407
- up to 1.6.13

* Sun Jun 19 2011 zbyniu <zbyniu@pld-linux.org> d9001d8
- up to 1.6.12

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> 0b720c6
- up to 1.6.11

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 8c2e097
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Apr 30 2007 Robert Tomasik <rotom@pld-linux.org> fde41d2
- up to 1.6.10

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> dd8f57e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3672fe0
- converted to UTF-8

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> a3fce08
- orphaned, outdated

* Sat Apr 01 2006 piti <piti@pld-linux.org> 7c13ec6
- up to 1.6.9

* Mon Jan 16 2006 piti <piti@pld-linux.org> 917be13
- up to 1.6.8

* Fri Nov 18 2005 blekot <blekot@pld-linux.org> f64309b
- up to 1.6.7
- thx Piotr Wawrzyniak <wopozka at gazeta dot pl>

* Fri Jul 08 2005 ankry <ankry@pld-linux.org> bc85218
- +Categories

* Fri Jul 08 2005 ankry <ankry@pld-linux.org> fc5a965
- fixed desktop file, rel. 2

* Fri Jul 08 2005 ankry <ankry@pld-linux.org> 74ad341
- MimeType fix

* Mon Jun 13 2005 freetz <freetz@pld-linux.org> b9df0de
- removed obsoleted GNOME mime-info stuff

